Create a mediawiki extension for browser-based rendered pdf support
Closed, ResolvedPublic

Description

Task:
Write a media wiki extension/ Edit the collection extension that adds browser based pdf rendering support.

The browser based pdf rendering support should be available through the "Download as pdf" link on the sidebar of a wikipage, not abolishing the current latex download.
More details can be found in the mock, see @Nirzar's comment below

  • The extension should check if the article really exists before sending it to the service

Please link against the toollabs server for now:

https://pdf-electron.wmflabs.org/pdf?accessKey=secret&url=<YOUR URL HERE>

This task does not include any parts related to improved styling of the pdf

Background:
One of the wishes of the 2015 German-speaking community wishlist as well as the international community wishlist was the support of tables in pdfs: T135643.
It would take an enormous engineering effort to add tables to the current latex layout in a way that 80%-90% of the tables display correctly. 10%-20% would always be off due to the different capabilities of the two media (printed, layouted page versus HTML). Therefore the idea is to offer another way of rendering pdfs. The new browser-based rendering version will not have the well designed latex layout (at least for the start), but look like the printed website - not perfect for print, but at least complete.

Related Objects

Lea_WMDE moved this task from Incoming to Tables in pdfs on the TCB-Team board.Aug 8 2016, 3:01 PM
Lea_WMDE changed the task status from Open to Stalled.Aug 19 2016, 10:19 AM
Lea_WMDE changed the status of subtask T142202: Only render single articles, and not collections or books from Open to Stalled.
Tobi_WMDE_SW triaged this task as Normal priority.Aug 29 2016, 1:44 PM
Lea_WMDE updated the task description. (Show Details)Sep 9 2016, 3:44 PM
Lea_WMDE added a subscriber: JKatzWMF.
Lea_WMDE changed the task status from Stalled to Open.Sep 9 2016, 3:46 PM
Lea_WMDE changed the status of subtask T142202: Only render single articles, and not collections or books from Stalled to Open.
Tobi_WMDE_SW claimed this task.

Change 311411 had a related patch set uploaded (by Tobias Gritschacher):
Create boilerplate extension for Electron PDF Service

https://gerrit.wikimedia.org/r/311411

Change 311412 had a related patch set uploaded (by Tobias Gritschacher):
Add ElectronPdfService extension to integration

https://gerrit.wikimedia.org/r/311412

Change 311412 merged by jenkins-bot:
Add ElectronPdfService extension to integration

https://gerrit.wikimedia.org/r/311412

Change 311411 merged by jenkins-bot:
Create boilerplate extension for Electron PDF Service

https://gerrit.wikimedia.org/r/311411

Nirzar added a subscriber: Nirzar.Sep 22 2016, 8:05 PM

After speaking with multiple stakeholders here's iterated version of what download PDF page should look like

    • Clear indication of what is the difference between two choice
  • Use of primary call to action. the download action needs to be prominent like this

Technical details

https://zpl.io/2fJCiq

Here are two SVG's for the layout icons

Lea_WMDE updated the task description. (Show Details)Sep 23 2016, 9:28 AM

Change 312219 had a related patch set uploaded (by Tobias Gritschacher):
Add SpecialPage for Electron PDF rendering

https://gerrit.wikimedia.org/r/312219

Change 312219 merged by jenkins-bot:
Add SpecialPage for Electron PDF rendering

https://gerrit.wikimedia.org/r/312219

Tobi_WMDE_SW removed Tobi_WMDE_SW as the assignee of this task.

Unassigning myself as I'm assigned to distinct subtasks already.

@Nirzar could you please add me to the Zeplin project for paddings etc? My username there is WMDE_Fisch - thanks!

Nirzar added a comment.EditedOct 18 2016, 3:50 PM

@WMDE-Fisch Sent on your wikimedia.de email address. check spam if you don't see it in inbox

@Nirzar I've uploaded the image of the mockup to https://www.mediawiki.org/wiki/File:ElectronPdfService-mockup.png in order to include it on https://www.mediawiki.org/wiki/Extension:ElectronPdfService. I've stated you as the author but didn't add a licence yet. Please change or poke me if you're not fine with it!

Tobi_WMDE_SW closed this task as Resolved.Nov 16 2016, 11:14 AM
Tobi_WMDE_SW claimed this task.